Skip to content

List quote requests

GET
/api/tenant/{tenantId}/QuoteRequests
curl --request GET \
--url 'https://api.nimles.com/e-commerce/api/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/QuoteRequests?onlyIndividuals=false&excludeArchived=false&onlyPublic=false&excludeCompleted=false&excludeDraft=false&format=simple' \
--header 'Authorization: Bearer <token>'
tenantId
required
string format: uuid

Your tenant id.

buyerUserId
string format: uuid
buyerResourceGroupId
string format: uuid
buyerSiteId
string format: uuid
sellerUserId
string format: uuid
sellerResourceGroupId
string format: uuid
sellerSiteId
string format: uuid
onlyIndividuals
boolean
excludeArchived
boolean
onlyPublic
boolean
excludeCompleted
boolean
excludeDraft
boolean
format
string
default: simple

OK

Media typeapplication/json
object
fields
object
key
additional properties
string
data
Array<object>
nullable
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
relations
Array<object>
nullable
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
name
string
nullable
entityId
required
string format: uuid
entityType
required
string
>= 1 characters
relationType
required
string
>= 1 characters
tenantId
string format: uuid
nullable
resourceGroupId
string format: uuid
nullable
creatorId
string format: uuid
nullable
createdDate
string format: date-time
nullable
version
integer format: int32
nullable
lastModified
string format: date-time
nullable
head
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
parentQuoteRequestId
string format: uuid
nullable
cartId
string format: uuid
nullable
categoryId
string format: uuid
nullable
discountId
string format: uuid
nullable
deliveryOptionId
string format: uuid
nullable
paymentOptionId
string format: uuid
nullable
paymentId
string format: uuid
nullable
relationshipId
string format: uuid
nullable
assignedToUserId
string format: uuid
nullable
deliveryDate
string format: date-time
nullable
submittedDate
string format: date-time
nullable
archivedByBuyer
boolean
archivedBySeller
boolean
externalQuoteRequestNumber
string
nullable
quoteRequestNumber
integer format: int32
discountCode
string
nullable
buyer
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
organizationId
string format: uuid
nullable
userId
string format: uuid
nullable
siteId
string format: uuid
nullable
customerType
string
nullable
identityNumber
string
nullable
organizationName
string
nullable
firstName
string
nullable
lastName
string
nullable
email
string
nullable
phoneNumber
string
nullable
deliveryAddress
object
coAddress
string
nullable
state
string
nullable
country
string
nullable
name
string
nullable
firstName
string
nullable
lastName
string
nullable
street
string
nullable
postalCode
string
nullable
city
string
nullable
billingAddress
object
coAddress
string
nullable
state
string
nullable
country
string
nullable
name
string
nullable
firstName
string
nullable
lastName
string
nullable
street
string
nullable
postalCode
string
nullable
city
string
nullable
useDeliveryAddress
boolean
seller
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
organizationId
string format: uuid
nullable
userId
string format: uuid
nullable
siteId
string format: uuid
nullable
deliveryType
string
nullable
paymentType
string
nullable
quoteRequestStatus
string
nullable
message
string
nullable
currency
string
nullable
lines
Array<object>
nullable
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
productId
string format: uuid
nullable
variantId
string format: uuid
nullable
categoryId
string format: uuid
nullable
productGroupId
string format: uuid
nullable
connectedQuoteRequestLineId
string format: uuid
nullable
connectedQuoteRequestItemId
string format: uuid
nullable
parentQuoteRequestLineId
string format: uuid
nullable
additionalName
string
nullable
discount
integer format: int32
scheduleId
string format: uuid
nullable
scheduleDateTime
string format: date-time
nullable
sku
string
nullable
name
string
nullable
description
string
nullable
quoteRequestItemType
string
nullable
quantity
number format: double
nullable
fileIds
Array<string>
nullable
imageIds
Array<string>
nullable
children
Array<object> recursive
productProperties
Array<object>
nullable
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
productPropertyId
string format: uuid
stringValues
Array<string>
nullable
numberValues
Array<number>
nullable
locations
Array<object>
nullable
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
address
object
coAddress
string
nullable
state
string
nullable
country
string
nullable
name
string
nullable
firstName
string
nullable
lastName
string
nullable
street
string
nullable
postalCode
string
nullable
city
string
nullable
latitude
number format: double
nullable
longitude
number format: double
nullable
radius
integer format: int32
locationIndex
integer format: int32
quoteRequestEvents
Array<object>
nullable
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
userId
string format: uuid
username
string
nullable
eventType
string
nullable
status
string
nullable
clientIpAddress
string
nullable
action
string
nullable
message
string
nullable
createdDate
string format: date-time

Example generated

{
"data": [
{
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"relations": [
{
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"entityId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"entityType": "example",
"relationType": "example"
}
],
"tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"resourceGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"creatorId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"createdDate": "2026-04-15T12:00:00Z",
"version": 1,
"lastModified": "2026-04-15T12:00:00Z",
"head": {
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"parentQuoteRequestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"cartId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"discountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"deliveryOptionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"paymentOptionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"paymentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"relationshipId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"assignedToUserId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"deliveryDate": "2026-04-15T12:00:00Z",
"submittedDate": "2026-04-15T12:00:00Z",
"archivedByBuyer": true,
"archivedBySeller": true,
"externalQuoteRequestNumber": "example",
"quoteRequestNumber": 1,
"discountCode": "example",
"buyer": {
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"organizationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"siteId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"customerType": "example",
"identityNumber": "example",
"organizationName": "example",
"firstName": "example",
"lastName": "example",
"email": "example",
"phoneNumber": "example",
"deliveryAddress": {
"coAddress": "example",
"state": "example",
"country": "example",
"name": "example",
"firstName": "example",
"lastName": "example",
"street": "example",
"postalCode": "example",
"city": "example"
},
"billingAddress": {
"coAddress": "example",
"state": "example",
"country": "example",
"name": "example",
"firstName": "example",
"lastName": "example",
"street": "example",
"postalCode": "example",
"city": "example"
},
"useDeliveryAddress": true
},
"seller": {
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"organizationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"siteId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
},
"deliveryType": "example",
"paymentType": "example",
"quoteRequestStatus": "example",
"message": "example",
"currency": "example"
},
"lines": [
{
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"variantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"productGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"connectedQuoteRequestLineId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"connectedQuoteRequestItemId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"parentQuoteRequestLineId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"additionalName": "example",
"discount": 1,
"scheduleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"scheduleDateTime": "2026-04-15T12:00:00Z",
"sku": "example",
"name": "example",
"description": "example",
"quoteRequestItemType": "example",
"quantity": 1,
"fileIds": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"imageIds": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"children": [],
"productProperties": [
{
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"productPropertyId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"stringValues": [
"example"
],
"numberValues": [
1
]
}
]
}
],
"locations": [
{
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"address": {
"coAddress": "example",
"state": "example",
"country": "example",
"name": "example",
"firstName": "example",
"lastName": "example",
"street": "example",
"postalCode": "example",
"city": "example"
},
"latitude": 1,
"longitude": 1,
"radius": 1,
"locationIndex": 1
}
],
"quoteRequestEvents": [
{
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"username": "example",
"eventType": "example",
"status": "example",
"clientIpAddress": "example",
"action": "example",
"message": "example",
"createdDate": "2026-04-15T12:00:00Z"
}
]
}
]
}

Unauthorized: no bearer token, or one that is expired or not for this API.

Forbidden: the caller holds no role that allows this action at this scope. The body is empty, or a problem whose detail names the action.

Media typeapplication/json

An RFC 9457 problem.

object
detail
string
nullable
instance
string
nullable
status
integer format: int32
nullable
title
string
nullable
type
string
nullable
key
additional properties

Example generated

{
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}